# class CSSFontFaceRule

###

Module | khtml
Namespace | DOM
Class | CSSFontFaceRule
Inherits | DOM::CSSRule

The CSSFontFaceRule interface represents a \@font-face rule in a CSS style sheet. The \@font-face rule is used to hold a set of font descriptions.

### methods

- CSSFontFaceRule ( )

  returns ctor

- CSSFontFaceRule (other)

  returns ctor

  Argument | Type | Default
  --- | --- | ---
  other | DOM.CSSFontFaceRule |

- CSSFontFaceRule (other)

  returns ctor

  Argument | Type | Default
  --- | --- | ---
  other | DOM.CSSRule |

- CSSFontFaceRule (impl)

  returns ctor
  Not implemented

  Argument | Type | Default
  --- | --- | ---
  impl | CSSFontFaceRuleImpl |

- style ( )

  returns DOM.CSSStyleDeclaration

  The declaration-block of this rule.